Bug 1012330 - Product key in sysprep.inf is empty in spite of correct ProductKey* and OS type being set
Product key in sysprep.inf is empty in spite of correct ProductKey* and OS ty...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Frantisek Kobzik
Pavel Novotny
virt
: Regression
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-09-26 05:52 EDT by David Jaša
Modified: 2014-01-21 17:22 EST (History)
8 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:15:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19743 None None None Never
oVirt gerrit 20112 None None None Never

  None (edit)
Description David Jaša 2013-09-26 05:52:14 EDT
Description of problem:
When sysprepping a sealed Windows VM, the ProductKey is empty. The ProductKey* field is filled correctly in rhevm-setup and the engine has been restarted to pick up the changes.
This is sort of regression of bug 873742 (RHEV doesn't fill ProductKey correctly)

Version-Release number of selected component (if applicable):
si16 / rhevm-backend-3.3.0-0.22.master.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1. fill in appropriate ProductKey* fields in rhevm-config, restart engine
2. create Windows VM with correct OS Type set
3. run the VM with sysprep floppy attached
4. after the VM boots, open A:\sysprep.inf and look up ProductKey value

Actual results:
ProductKey is empty

Expected results:
ProductKey should match the value of ProductKey* set in rhevm-config

Additional info:
Comment 1 David Jaša 2013-09-26 05:53:39 EDT
Happened to me with XP and 7 32b guests so far.
Comment 3 Frantisek Kobzik 2013-10-01 06:35:57 EDT
The configuration of sysprep should be done in /etc/ovirt-engine/osinfo.conf.d directory. The database values are ignored.

We have to decide if we should
 - deprecate database values,
or
 - use database values as a default (in case os info value is empty).
Comment 4 Sandro Bonazzola 2013-10-11 07:29:03 EDT
patch 19743 merged upstream master.
Comment 5 Itamar Heim 2013-10-11 10:05:17 EDT
release note flag?
Comment 6 Frantisek Kobzik 2013-10-15 04:05:53 EDT
merged ovirt-engine-3.3 branch as 087f4b5849be858d4fb86497ae93ff82d3cd5e18
Comment 7 Pavel Novotny 2013-10-18 10:57:22 EDT
Verified in rhevm-3.3.0-0.26.master.el6ev.noarch (is19).

Verification steps:
1) Create new VM (OS type Windows 7 x64) with Win 7 x64 installed.
2) Following comment 3, set the product key in osinfo configuration file (not via rhevm-config):
   In /etc/ovirt-engine/osinfo.conf.d/00-defaults.properties file set value of `os.windows_7x64.productKey.value` to `w7x64-abcde-12345-fghij-56789`.
3) Restart ovirt-engine service.
4) Run Once the VM with [sysprep] floppy attached. 
5) In the guest VM, open A:\sysprep.inf and the value in <ProductKey> tag is <Key>w7x64-abcde-12345-fghij-56789</Key>.
Comment 8 Itamar Heim 2014-01-21 17:15:28 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:22:38 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.